<?php get_header(); ?>


		<?php if (have_posts()) : ?>

		<div class="navigation clearfix">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries', 'default')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;', 'default')) ?></div>
		</div>

		<div id="container" class="clearfix">

		<?php while (have_posts()) : the_post();  ?>
		
		<h3 class="page-title"><?php the_category(', '); ?></h3>

		<div class="container-box">
		
		<div <?php post_class(archives-page) ?>>
			<h3 id="post-<?php the_ID(); ?>" class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark" ><?php the_title(); ?></a></h3>
			<?php $thumb = get_post_meta($post->ID, 'thumbnail', true); if (strlen($thumb)>0) : ?>
			<?php the_excerpt(); ?>
			<a href="<?php the_permalink() ?>" rel="bookmark" >
				<img class="full-thumbnail" src="<?php echo $thumb; ?>" width="600" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
			</a>
			<div style="height:20px;"></div>
			<?php else: ?>
			<div class="entry">
				<?php the_content((__( '&raquo; Read more: ', 'default')) . the_title('', '', false)); ?>
			</div>
			<?php endif; ?>

		</div>
		
		</div><!-- .container-box -->

		<?php endwhile; ?>

		<div class="pagination navigation clearfix">
		  <?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); } else { ?>
  		  <div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries', 'default')) ?></div>
  			<div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;', 'default')) ?></div>
		  <?php } ?>
		</div>		
		
	<?php else : ?>

	<!-- Missing Info - Redirect Home -->
	
	    <?php include (TEMPLATEPATH . "/missing.php"); ?>
	
	<?php endif; ?>
	
	</div><!-- #container -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
