<div id="sidebar">

<div class="sidebar-box">

<?php if ( is_single() ) { ?>
<ul class="sb-tools clearfix">
	<?php previous_post_link('<li class="previous-post">%link</li>', '<span>' . (__('Previous Entry', 'default')) . '</span> %title'); ?>
	<?php next_post_link('<li class="next-post">%link</li>', '<span>' . (__('Next Entry', 'default')) . '</span> %title'); ?>
</ul>	
<?php } ?>

<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar(3) ) : ?>
<ul class="group">
  <?php if ( is_front_page() || is_home() || is_page() ) { ?>
    <?php wp_list_pages('title_li=<div class="sb-title">' . __('Pages','default') . '</div>' ); ?>
  <?php } ?>
  <?php if ( is_home() || is_day() || is_month() || is_year() ) { ?>
  	<li class="archives">
      <div class="sb-title"><?php _e('Archives', 'default'); ?></div>
  		<ul>
  		  <?php wp_get_archives('type=monthly'); ?>
  		</ul>
  	</li>
  <?php } ?>
  <?php if ( is_home() || is_category() ) { ?>
    <?php wp_list_categories('show_count=1&title_li=<div class="sb-title">' . __('Categories','default') . '</div>'); ?>
  <?php } ?>
</ul>
<?php endif; // end 3rd sidebar widgets  ?>

<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar(4) ) : ?>
<ul class="group">
  <?php if ( is_home() ) { ?>
    <?php wp_list_bookmarks('title_before=<div class="sb-title">&title_after=</div>'); ?>
  <?php } ?>
  <?php if ( is_home() || is_page() ) { ?>
  	<li id="meta">
      <div class="sb-title"><?php _e('Meta', 'default'); ?></div>
    	<ul>
    		<?php wp_register(); ?>
    		<li><?php wp_loginout(); ?></li>
    		<?php wp_meta(); ?>
    	</ul>
  	</li>
  <?php } ?>
</ul>
<?php endif; // end 4th sidebar widgets  ?>

<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar(2) ) : ?>
	<ul class="viewing">
	<?php if ( is_404() || is_category() || is_day() || is_month() || is_year() || is_search() || is_paged() ) { ?>
	<li class="currently-viewing">
	<?php /* If this is a 404 page */ if (is_404()) { ?>
	<?php /* If this is a category archive */ } elseif (is_category()) { ?>
	<p><?php _e('You are currently browsing the', 'default'); ?> <?php single_cat_title(''); ?> <?php _e('category', 'default'); ?>.</p>
	<?php /* If this is a yearly archive */ } elseif (is_day()) { ?>
	<p><?php _e('You are currently browsing the archives for the day', 'default'); ?> <?php the_time('l, F jS, Y'); ?>.</p>
	<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
	<p><?php _e('You are currently browsing the archives for', 'default'); ?> <?php the_time('F, Y'); ?>.</p>
	<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
	<p><?php _e('You are currently browsing the archives for the year', 'default'); ?> <?php the_time('Y'); ?>.</p>
	<?php /* If this is a monthly archive */ } elseif (is_search()) { ?>
	<p><?php _e('You have searched for', 'default'); ?> <strong>'<?php the_search_query(); ?>'</strong>.
  <?php _e('If you are unable to find anything in these search results, you can try one of these links', 'default'); ?>.</p>
	<?php /* If this is a monthly archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
	<p><?php _e('You are currently browsing the', 'default'); ?> <a href="<?php echo bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> <?php _e('blog archives', 'default'); ?>.</p>
	<?php } ?>
	</li>
	<?php }?>
	</ul>
<?php endif; // end 2nd sidebar widgets  ?>

</div> <!-- .sidebar-box -->

<div class="sidebar-heading">OTHER WORKS</div>
<?php
	$args = array(
		'numberposts' => 2,
		'orderby' => 'rand',
		'exclude' => $posts_shown // items already shown
		); 
 $rand_posts = get_posts($args);
 foreach( $rand_posts as $post ) : setup_postdata($post); ?>
 <div class="small-box">
	<div class="thumbnail-back"></div><a class="thumbnail" href="<?php the_permalink() ?>" title="<?php the_excerpt_rss(); ?>" style="<?php $thumb = get_post_meta($post->ID, 'thumbnail', true); if (strlen($thumb) > 0) echo 'background: transparent url(' . $thumb . ') no-repeat 0 0;' ; ?>"></a>
	<p class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('See', 'default'); ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></p>
	<p class="category"><?php the_category(', '); ?></p>
	<a class="zoom" href="<?php echo $thumb; ?>" onclick="show(this, '<?php echo get_option('siteurl'); ?>/wp-comments-post.php', <?php the_ID(); ?>, '<?php echo date('d M Y H:i:s') ?>', '<?php comments_link(); ?>');return false;" title="Preview <?php the_title_attribute(); ?>"></a>
	<span class="bottom">
	<a class="counter"><?php comments_number( __( '<span id="post-' . $post->ID . '-counter"></span>', 'default' ), __( '<span id="post-' . $post->ID . '-counter">1</span> person likes this', 'default' ), __( '<span id="post-' . $post->ID . '-counter">%</span> people like this', 'default' )); ?></a>
	<a href="<?php comments_link(); ?>" class="comment">Comment</a>
	<a href="#" class="like">Like</a>
	</span>
 </div>
 <?php endforeach; ?>
 
</div> <!-- #sidebar -->